# $Revision: 1.135.2.1 $, $Date: 2004/06/07 18:49:31 $
#
# maybe TODO: jpilot (libpisock)
#
# Conditional build:
%bcond_without	gpg		# without gpg support [disabled by ac_fixes patch?]
%bcond_without	ssl		# without ssl support
%bcond_without	ipv6		# without ipv6 support
%bcond_without	ldap		# without ldap support
%bcond_without	faces		# without compfaces support
#
Summary:	GTK+ based fast e-mail client
Summary(pl):	Szybki klient poczty bazujcy na GTK+
Summary(pt_BR):	Um rpido e leve cliente de email baseado em GTK+
Name:		sylpheed
Version:	0.9.11
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://sylpheed.good-day.net/sylpheed/%{name}-%{version}.tar.bz2
# Source0-md5:	df1bd581fd26841b43d5a5b73a06d847
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-desktop.patch
Patch2:		http://www.thewildbeast.co.uk/sylpheed/0.8.0/%{name}_save_all.patch
Patch3:		%{name}-nolibs.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_faces:BuildRequires:	faces-devel}
BuildRequires:	gettext-devel
BuildRequires:	gdk-pixbuf-devel >= 0.8
%{?with_gpg:BuildRequires:	gpgme-devel >= 0.3.10}
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	libtool
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.6m}
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_faces:Requires:	faces}
Requires:	mailcap
URL:		http://sylpheed.good-day.net/
Obsoletes:	sylpheed-claws
Obsoletes:	sylpheed-gtk2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_desktopdir	%{_applnkdir}/Network/Mail

%description
This program is an X based fast e-mail client which has features (or
go for it :-)) like:
- user-friendly and intuitive interface
- integrated NetNews client (partially implemented)
- ability of keyboard-only operation
- Mew/Wanderlust-like key bind
- multipart MIME
- unlimited multiple account handling
- assortment function
- address book
- SSL support

%description -l pl
Szybki klient poczty o moliwociach takich jak
- o przyjazny, intuicyjny interfejs uytkownika
- zintegrowany klient USENET
- moliwo pracy wycznie przy uyciu klawiatury
- klawiszologia typu Mew/Wanderlust
- obsuga wieloczciowych MIME
- obsuga dowolnej iloci kont pocztowych
- funkcje sortowania o ksika adresowa
- wsparcie szyfrowania SSL

%description -l pt_BR
Este programa  um rpido cliente de email modo grfico o qual possui
recursos como:
- interface grfica intuitiva e amigvel
- cliente integrado de notcias (parcialmente implementado)
- habilitado para operaco a partir do teclado
- Mew/Wanderlust-like key bind
- multipart MIME
- controle de mltiplas contas de email (sem limite)
- armazenamento de mensagens
- funco de ordenaco/classificaco de mensagens
- catlogo de enderecos XML-based

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

mv -f po/{sr,sr@Latn}.po
mv -f po/{zh_TW.Big5,zh_TW}.po

%{__perl} -pi -e 's/ sr / sr\@Latn /;s/zh_TW\.Big5/zh_TW/' configure.in

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I ac
%{__autoconf}
%{__automake}
%configure \
	--enable-gdk-pixbuf \
	--enable-threads \
	%{?with_faces:--disable-compfaces} \
	%{?with_gpg:--enable-gpgme} \
	%{!?with_ipv6:--disable-ipv6} \
	%{?with_ldap:--enable-ldap} \
	%{?with_ssl:--enable-ssl}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
install %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/manual
%{_datadir}/%{name}/manual/en
%lang(ja) %{_datadir}/%{name}/manual/ja
%dir %{_datadir}/%{name}/faq
%{_datadir}/%{name}/faq/en
%lang(de) %{_datadir}/%{name}/faq/de
%lang(es) %{_datadir}/%{name}/faq/es
%lang(fr) %{_datadir}/%{name}/faq/fr
%lang(it) %{_datadir}/%{name}/faq/it
%{_desktopdir}/sylpheed.desktop
%{_pixmapsdir}/sylpheed.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sylpheed.spec,v $
Revision 1.135.2.1  2004/06/07 18:49:31  blues
- release 1 for RA

Revision 1.135  2004/05/30 18:03:39  freetz
- added Obsoletes for gtk2 version
- incidentally upgraded to 0.9.11

Revision 1.134  2004/04/05 15:08:17  deejay1
- rel 5 to rebuild with openLDAP (aka STBR release)

Revision 1.133  2004/03/26 13:36:22  blues
- release 4 ( rel 3 is in RA)

Revision 1.132  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.131  2004/03/17 21:12:28  deejay1
- rel. 2 to rebuild with new openLDAP

Revision 1.130  2004/03/08 02:07:19  adgor
- Removed bogus conflict

Revision 1.129  2004/03/02 09:34:26  deejay1
- updated to 0.9.10; gpg/gdk-pixbuf still not working

Revision 1.128  2004/02/08 07:15:56  misi3k
- updated to 0.9.9

Revision 1.127  2004/02/01 10:47:13  qboosh
- removed acinclude breakage from ac_fixes patch, add -I to aclocal instead
- added nolibs patch
- removed libjconv stuff, obsolete since long time (iconv is used now)
- standardize locale dir names (sr->sr@Latn, zh_TW.Big5->zh_TW)
- release 1

Revision 1.126  2003/12/18 15:41:12  deejay1
- rel down - the sylpheed-ac_fixes.patch breaks too many things instead
  of fixing them
- typo

Revision 1.125  2003/12/18 09:10:55  qboosh
- it should be _Build_Conflicts

Revision 1.124  2003/12/18 09:05:47  deejay1
- new bcond:when built without gpg there's no need for Conflicts with gpgme

Revision 1.123  2003/12/17 06:49:46  erjot
- in 0.9.8 ipv6 is enabled by default

Revision 1.122  2003/12/16 21:00:48  adamg
- updated to 0.9.8a

Revision 1.121  2003/12/12 20:56:27  adamg
- updated to 0.9.8

Revision 1.120  2003/12/11 17:55:53  freetz
- removed gtk+2 stuff (moving it to seperate branch)
- new style bconds, rel.3

Revision 1.119  2003/10/17 14:47:33  erjot
- 0.9.7
- gtk2 patch not work

Revision 1.118  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.117  2003/09/30 09:49:36  qboosh
- License is GPL v2 or any later version

Revision 1.116  2003/09/17 14:34:28  misi3k
- updated to 0.9.6

Revision 1.115  2003/09/14 11:48:06  blues
- release 2

Revision 1.114  2003/09/14 10:59:48  blues
- cosmetics

Revision 1.113  2003/09/12 12:03:06  erjot
- fix License

Revision 1.112  2003/09/12 10:04:15  freetz
- sylpheed-gtk2 project moved to SF
- defined snap date, updated patch description
- works good

Revision 1.111  2003/09/04 14:01:59  ankry
- md5

Revision 1.110  2003/09/03 20:08:31  erjot
- up to 0.9.5

Revision 1.109  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.108  2003/08/11 13:48:19  grzegol
- reverted last changes (made by mistake)

Revision 1.106  2003/08/02 17:20:26  erjot
- rel up, gtk2 works

Revision 1.105  2003/07/25 13:04:19  erjot
- up to 0.9.4
- release 1 but gtk2 still not work

Revision 1.104  2003/07/06 12:19:08  misi3k
- rel 0.1
- updated to 0.9.3
  Note: gtk+2 not tested

Revision 1.103  2003/07/04 14:51:31  freetz
- fixed *.po convertion

Revision 1.102  2003/07/04 14:44:42  freetz
- small patch comment

Revision 1.101  2003/07/04 14:36:45  freetz
- small patch comment

Revision 1.100  2003/07/04 14:29:53  freetz
- added gtk2 gui patch
- bcond _with_gtk2

Revision 1.99  2003/06/06 10:25:26  misi3k
- updated to 0.9.2

Revision 1.98  2003/05/29 19:54:58  erjot
- bcond: faces
- cut changelog

Revision 1.97  2003/05/27 14:53:17  erjot
- up to 0.9.1

Revision 1.96  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.95  2003/05/25 06:27:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/
